
Redmine - Defect #41234

Forum message's subject field overflows beyond container

2024-09-09 18:34 - Katsuya HIDAKA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed Affected version:  

Description

At least in Redmine v5.1 and trunk, the width of the message subject field overflows its container.

 before-reply-form.png 

This patch fixes this issue by setting max-width for the message subject field.

diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css

index 409ea2e21..630e258b4 100644

--- a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -410,6 +410,7 @@

 a.sort { padding-right: 16px; background-position: 100% 50%; background-repeat:

 table.boards td.last-message {text-align:left;font-size:80%;}

 div.table-list.boards .table-list-cell.name {width: 30%;}

+#message_subject { max-width: 99%; }

 #query_form_content {font-size:90%;}

 #query_form_with_buttons > p.contextual {font-size:12px; margin:12px 0px;}

Here are the results after the fix.

 after-reply-form.png    I have tested the following:

Does not affect the layout of the message subject field in other message forms (see screenshot below)

Tested with Chrome and Firefox

New/Edit message form after the fix

 after-edit-topic.png 

Edit reply message form after the fix

 after-edit-message.png 

Responsive layout after the fix
Associated revisions

Revision 23053 - 2024-09-12 03:12 - Go MAEDA

Fixes the width of the message subject field (#41234).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2024-09-10 08:04 - Go MAEDA

- Tracker changed from Patch to Defect

- Category changed from UI to Forums

- Status changed from New to Confirmed

- Target version set to 6.0.0
#2 - 2024-09-12 03:13 - Go MAEDA

- Subject changed from Set max-width for the message subject field to Forum message’s subject field overflows beyond container

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Target version changed from 6.0.0 to 5.0.10

- Resolution set to Fixed

Committed the fix in r23053. Thank you for your contribution.

#3 - 2024-09-12 03:24 - Go MAEDA

- Subject changed from Forum message’s subject field overflows beyond container to Forum message's subject field overflows beyond container

#4 - 2024-10-08 07:47 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 5.0.10 to 6.0.0
